delete_calc_mappings
POST /API/v2/delete_calc_mappings
Deletes the calculation mapping specified by the name POST argument. See example.
Request body¶
project_name: the name of the project.name: mapping name.
Response¶
status: the status of the request.success, if the request was processed successfully, or error code, if any error occurred. If the status is notsuccess, then the response contains thestatusandreasonfields only. Possible values:success: the request was processed successfully.bad_request: invalid request parameters, please see thereasonfield for more details.timeout: the request took too long to complete.access_error: the user doesn't have access to the specified project/slicer, or a wrong token was used.internal_error: the request failed due to an unknown problem.
reason: user-friendly description of the occurred error. This field is displayed for failed requests only.
Example¶
Delete the calculation mapping created for the the geo_country key in the demo project.
Path:
https://uslicer.iponweb.com/API/v2/delete_calc_mappings
Request
{
"project_name": "demo",
"name" : "test_mapping"
}
curl --data '{
"project_name": "demo",
"name": "test_mapping"
}' \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer <token>" \
"https://uslicer.iponweb.com/API/v2/delete_calc_mappings"
Response
{
"status" : "success"
}